Subject: Re: [PATCH] Doc: note minimum scissors line length for mailinfo

From: Jonathan Nieder <[email-masked]>
Date: Mon, 28 Sep 2020 12:00:29 -0700

Junio C Hamano wrote:

> It certainly was fun to declare that users can use anything that
> look like perforation drawn on paper, and to pile more and more
> heuristics to detect such a line.  But I think, instead of
> describing all these details in the manual, telling the users to
> always write "-- >8 --" and nothing else would be a better approach.
>
> It would save them time.

Agreed, I think this is a much better direction.

Another advantage is that it makes us easier to change the heuristics,
confident that we are training users to aim for the simple and
reliable case instead of the edge cases that may need to be tweaked
over time.

Thanks,
Jonathan